using Exam.Infrastructure.Data.Interface;
using Hotline.Share.Enums.Exams;
using System.ComponentModel;

namespace Hotline.Share.Requests.Train
{
    public record TrainTemplatePagedRequest:PagedRequest,IQueryRequest
    {
        /// <summary>
        /// 考试模版编码
        /// </summary>
        [Description("考试模版编码")]
        public string Code { get; set; }

        /// <summary>
        /// 考试模版标题
        /// </summary>
        [Description("考试模版标题")]
        public string Name { get; set; }

        /// <summary>
        /// 是否包含习题
        /// </summary>
        [Description("是否包含习题")]
        public bool? IsContainsPractice { get; set; }

        /// <summary>
        /// 是否开启
        /// </summary>
        [Description("是否开启")]
        public EPublicStatus? Status { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        [Description("创建人")]
        public string CreatorName { get; set; }

        /// <summary>
        /// 最大创建时间
        /// </summary>
        [Description("最大创建时间")]
        public DateTime? MaxCreationTime { get; set; }

        /// <summary>
        /// 最小创建时间
        /// </summary>
        [Description("最小创建时间")]
        public DateTime? MinCreationTime { get; set; }
    }
}
